{% extends 'base.html.twig' %}

{% block title %}Publicaciones{% endblock %}

{% block body %}

    <div class="container">
        <div class="col-8 timeline box-timeline">
            <h1>Timeline</h1>
            <hr>
            {% if publications is not empty%}
                <div class="box-content"> 
                    {% for publication in publications %}
                        <div class="publication-item col-12">
                            <div class="row">
                                <div class="publication-user text-center col-2">
                                    {% if publication.user.image !=null %}
                                        <img src="{{asset('uploads/users/'~publication.user.image)}}" alt="" />
                                    {% else %}
                                        <img src="{{asset('uploads/users/default-user-icon.png')}}" alt="" />

                                    {% endif %}
                                </div>
                                <div class="publication-content text-center col-9">
                                    <p class="text-left">
                                        <a href="{{path('user_profile',{'nickname':publication.user.nick})}}" class="pub-name-user">
                                            {{publication.user.name}} {{publication.user.surname}}
                                        </a>
                                        -{{publication.user.nick}}-
                                        <span class="pub-date">
                                            {{publication.createdAt|long_time}}
                                        </span>
                                        {% if publication.user.id == app.user.id %}
                                            <i data-id="{{publication.id}}" class="fas fa-trash-alt btn-remove-pub"></i>
                                        {% endif %}
                                    </p>
                                    {{publication.text}}
                                    <br>
                                    {% if publication.image !=null %}
                                        <img src="{{asset('uploads/publications/images/'~publication.image)}}" class="img-fluid pub-image" alt="">
                                        <br>
                                        <i class="fas fa-eye-slash btn-image"></i>
                                    {% endif %}
                                    {% if publication.document != null %}
                                        <a href="{{asset('uploads/publications/documents/'~publication.document)}}" target="_blank">
                                            <h3><i class="fas fa-file-download"></i></h3>
                                        </a>
                                    {% endif %}
                                    <div class="div-btn-like float-left">
                                        <i class="far fa-heart btn-like
                                           {% if app.user|liked(publication)==true %}
                                               d-none
                                           {% endif %}
                                           " data-toggle="tooltip" data-placement="bottom" title="Me gusta" data-id="{{publication.id}}"></i>

                                        <i class="fas fa-heart btn-dislike
                                           {% if app.user|liked(publication)==false %}
                                               d-none
                                           {% endif %}
                                           " data-toggle="tooltip" data-placement="bottom" title="Ya no Me gusta" data-id="{{publication.id}}"></i>

                                    </div>

                                </div>
                            </div>
                            <hr>    
                        </div>
                    {% endfor %}

                </div>
                <div class="navigation">
                    {{ knp_pagination_render(publications) }}
                </div>      
            {%endif%}
        </div>
        {% if app.user %}
            <div id="user-card" class="col-3">
                <div class="row">
                    <div class="avatar col-12 col-md-3">
                        {% if app.user.image !=null %}
                            <img src="{{asset('uploads/users/'~app.user.image)}}" alt="" />
                        {% else %}
                            <img src="{{asset('uploads/users/default-user-icon.png')}}" alt="" />

                        {% endif %}
                    </div>
                    <div class="name-surname col-12 col-md-8">
                        <a href="{{path('user_profile',{'nickname':app.user.nick})}}">{{app.user.name~" "~app.user.surname}}</a>
                        <span>{{app.user.nick}}</span>
                    </div>
                </div>
                <div class="row">
                    {% set user_stats=app.user|stats %}
                    <div class="col">
                        <a href="{{path('user_profile',{'nickname':app.user.nick})}}">
                            <span class="stat-label">Tuits</span>
                            <span class="stat-number">{{user_stats.publications}}</span>
                        </a>
                    </div>
                    <div class="col">
                        <a href="{{path('user_likes',{'nickname':app.user.nick})}}">
                            <span class="stat-label">Favs</span>
                            <span class="stat-number">{{user_stats.likes}}</span>
                        </a>
                    </div>
                    <div class="col">
                        <a href="{{path('following_followed',{'nickname':app.user.nick})}}">
                            <span class="stat-label">Seguidores</span>
                            <span class="stat-number">{{user_stats.followers}}</span>
                        </a>
                    </div>
                    <div class="col">
                        <a href="{{path('following_following',{'nickname':app.user.nick})}}">
                            <span class="stat-label">Siguiendo</span>
                            <span class="stat-number">{{user_stats.following}}</span>
                        </a>
                    </div>
                </div>

            </div>
        {% endif %}
        <div id="new_publication" class="col-3">
            <h3>Crear Publicación</h3>
            <hr>
            {{form_start(form)}}
            {{form_widget(form)}}
            {{form_end(form)}}
        </div>
        <div class="clearfix">
        </div>
    {% endblock %}
    {% block javascripts %}
        <script src="{{asset('assets/js/home.js')}}"></script>
    {% endblock %}

